## org.jfree.report.modules.gui.swing.preview
Class PreviewPaneUtilities

    java.lang.Object
      org.jfree.report.modules.gui.swing.preview.PreviewPaneUtilities

    public class PreviewPaneUtilities

extends java.lang.Object

Creation-Date: 17.11.2006, 15:06:51

Author:
  Thomas Morgner

Method Summary
`static void` `addActionsToToolBar(javax.swing.JToolBar toolBar, ActionPlugin[] reportActions, PreviewPane pane)`
`static int` `buildMenu(javax.swing.JMenu menu, ActionPlugin[] actions, PreviewPane pane)`
`static CategoryTreeItem[]` `buildMenuTree(ActionCategory[] categories)`
`static ActionFactory` `createActionFactory(org.pentaho.reporting.libraries.base.config.Configuration config)`
`static IconTheme` `createIconTheme(org.pentaho.reporting.libraries.base.config.Configuration config)`
`static javax.swing.JMenu` `createMenu(ActionCategory cat)`
`static double` `getNextZoomIn(double zoom, double[] zoomFactors)`
`static double` `getNextZoomOut(double zoom, double[] zoomFactors)`
`static java.util.HashMap` `loadActions(SwingGuiContext swingGuiContext)`
`static ActionCategory[]` `loadCategories(SwingGuiContext swingGuiContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createMenu

    public static javax.swing.JMenu createMenu(ActionCategory cat)

### buildMenu

    public static int buildMenu(javax.swing.JMenu menu,
                                ActionPlugin[] actions,
                                PreviewPane pane)

### addActionsToToolBar

    public static void addActionsToToolBar(javax.swing.JToolBar toolBar,
                                           ActionPlugin[] reportActions,
                                           PreviewPane pane)

### getNextZoomOut

    public static double getNextZoomOut(double zoom,
                                        double[] zoomFactors)

### getNextZoomIn

    public static double getNextZoomIn(double zoom,
                                       double[] zoomFactors)

### createIconTheme

    public static IconTheme createIconTheme(org.pentaho.reporting.libraries.base.config.Configuration config)

### createActionFactory

    public static ActionFactory createActionFactory(org.pentaho.reporting.libraries.base.config.Configuration config)

### buildMenuTree

    public static CategoryTreeItem[] buildMenuTree(ActionCategory[] categories)

### loadActions

    public static java.util.HashMap loadActions(SwingGuiContext swingGuiContext)

### loadCategories

    public static ActionCategory[] loadCategories(SwingGuiContext swingGuiContext)